Bug 107660 - LTC5001-SPEC2000 gap benchmark hangs in __read_nocancel in libc.
LTC5001-SPEC2000 gap benchmark hangs in __read_nocancel in libc.
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
powerpc Linux
high Severity high
: ---
: ---
Assigned To: Julie DeWandel
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-10-21 15:51 EDT by IBM Bug Proxy
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-21 14:47:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2003-10-21 15:51:32 EDT
The following has be reported by IBM LTC:  
SPEC2000 gap benchmark hangs in __read_nocancel in libc.
Hardware Environment:pSeries: problem has been reproduced on PWR4, PWR3, and 
RS64IV processors.

Software Environment: RHEL 3 beta 2 and RC1. gap compiled with gcc3.2.3 or xlc 
hangs at all opt levels.  

Steps to Reproduce:
1. compile SPEC2000 gap benchmark with gcc-3.2.3 without optimizations.
2. run with ref data.

Actual Results: 
Hangs in __read_nocancel during runtime. 

This is the traceback when using gcc-3.2.3.

0x0fedba94 in __read_nocancel () from /lib/tls/libc.so.6
(gdb) where
#0  0x0fedba94 in __read_nocancel () from /lib/tls/libc.so.6
#1  0x1005c218 in syGetch ()
#2  0x1005a1ac in SyFgets ()
#3  0x100520e4 in GetLine ()
#4  0x100531f0 in GetSymbol ()
#5  0x100536fc in Match ()
#6  0x1004e970 in ReadIt ()
#7  0x10026414 in main ()

Expected Results:

Normal completion.

Additional Information:

This seems to be an intermittent problem. It has been reproduced on three 
different types of machines. However, sometimes the program executes normally.
This may prevent generating SPEC2000 gap benchmark results with gcc and xlc.I
have a couple of questions:

-- Why are you compiling without optimizations ?
-- When you said "hang", is it just the benchmark or the whole system ?

Thanks.1. The problem occurs at all opt levels in gcc and xlc. 
2. It's just the benchmark that hangs. Glen/Greg - please submit this to Red Hat
as this is a RHEL3 RC1 bug.  Thanks.
Sirish - does this problem happen on RHAS 2.1 or previous RHEL3 beta1 ?I have
run the gap benchmark only on RHEL 3 beta 2 and RC1. I am not sure, if 
we have RHAS 2.1 machine around here. I will talk to John tomorrow and see if 
that machine is available. If it is available, I will run the benchmark and 
confirm with you the restults.
Comment 1 Jakub Jelinek 2003-10-21 17:17:59 EDT
__read_nocancel is the read syscall, there is nothing in userland which could
hang in this function.
Comment 2 IBM Bug Proxy 2003-10-22 23:18:22 EDT
------ Additional Comments From khoa@us.ibm.com  2003-22-10 18:35 -------
Sirish - based on Red Hat's comments, I suspect that there is a problem
with the traceback you provided.  Since RHEL3 GA is today, can you
please try to see if the problem occurs on RHEL3 GA ?  If so, please
re-open this bug report.  Thanks. 
Comment 3 Julie DeWandel 2003-10-24 07:29:45 EDT
Can you please provide further information to help with the diagnosis. What
platforms have you seen this on (pSeries, iSeries)? What device are you reading
from? Please provide a traceback of the kernel portion of the stack when this
happens (sysrq-T would be *very* helpful). And please reproduce with RHEL 3 RC4.
Comment 4 Julie DeWandel 2004-01-16 09:16:14 EST
Glen, can you please update this bugzilla? There isn't sufficient
information for us to make progress.
Comment 5 David Howells 2004-04-21 14:47:43 EDT
Due to lack of information, we will have to assume that this is no longer a 
Comment 6 IBM Bug Proxy 2005-06-14 19:37:53 EDT

           What    |Removed                     |Added
                 CC|                            |mranweil@us.ibm.com
             Status|REJECTED                    |CLOSED

------- Additional Comments From mranweil@us.ibm.com  2005-06-14 19:10 EDT -------
Non-duplicate rejected bug that's been rejected for over 6 months.  Marking
closed, you can re-open if needed. 

Note You need to log in before you can comment on or make changes to this bug.